@import 'settings';
@import 'typography';
@import 'mixins';

.LoginForm {
    position: relative;

    form {
        @include clearfix;
        position: relative;
    }

    label {
        @include ui-type;
        color: $white;
        display: block;
        margin-bottom: 6px;
    }

    input {
        display: block;
        margin: 0;
        background: transparent;
        border-color: $white;
        color: $white;
        height: 1.6rem;

        &:last-child {
            float: left;
        }

        &:not(:last-of-type) {
            margin-bottom: 25px;
        }
    }

    button {
        position: absolute;
        bottom: 12px;
        right: 10px;
    }

    &--error {
        color: $red-light;

        label,
        input,
        button {
            border-color: $red-light;
        }

        button {
            color: $red-light;
        }
    }

    &__error-message {
        @include small-type;
        position: absolute;
        top: 0;
        padding-bottom: 20px;
        transform: translate(0, -100%);
        color: $red-light;
    }


    @media #{$mobile-only} {
        input {
            width: calc(100% - 30px);
            height: 2rem;
        }
    }

    @media #{$tablet} {
        button {
            bottom: 9px;
            right: -30px;
        }
    }
}
